/*
 * NoticeBoard 组件的组件路由
 */
import 'package:flutter/cupertino.dart';
import 'package:router/componentRouter/notice_board_service.dart';
import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';

import '../../modules/notice_board/page/notice_board_page.dart';

part 'notice_board_component_service.g.dart';

@Riverpod(keepAlive: true)
NoticeBoardService noticeBoardService(Ref ref) {
  return NoticeBoardComponentService();
}

class NoticeBoardComponentService extends NoticeBoardService {
  @override
  void startNoticeBoardPage() {
    NoticeBoardPage.startInstance();
  }
}
